#!/usr/bin/python2
# -*- coding: utf-8 -*-

import networkx as nx
import unittest
import random

from generator.make_special_graphs import *

class connectBipartiteTests(unittest.TestCase):
    def testMakeBipartiteConnectedError(self):
        self.G = nx.Graph()
        self.G.add_nodes_from(range(5), bipartite=0)
        self.G.add_nodes_from([5,6,7,8], bipartite=1)
        self.G.add_edges_from([(0,5), (0,6), (1,5), (1,6), (3,7), (3,8), (4,7)])
        with self.assertRaises(IndexError):
            makeBipartiteConnected(self.G)

    def testMakeBipartiteConnected1(self):
        self.G = nx.Graph()
        self.G.add_nodes_from(range(5), bipartite=0)
        self.G.add_nodes_from([5,6,7,8], bipartite=1)
        self.G.add_edges_from([(0,5), (0,6), (1,5), (1,6), (3,7), (3,8), (4,7),
                               (4,8)])
        random.seed(5)
        makeBipartiteConnected(self.G)
        self.assertTrue(self.G.has_edge(2,5) and self.G.has_edge(3,5) and not
                        self.G.has_edge(1,6) and not self.G.has_edge(4,8))

    def testMakeBipartiteConnected2(self):
        self.G = nx.Graph()
        self.G.add_nodes_from(range(5), bipartite=0)
        self.G.add_nodes_from([5,6,7,8,9], bipartite=1)
        self.G.add_edges_from([(0,5), (0,6), (0,7), (3,7), (3,8), (3,9), (4,7),
                               (4,8), (4,9)])
        random.seed(3)
        makeBipartiteConnected(self.G)
        self.assertTrue(self.G.has_edge(2,5) and self.G.has_edge(0,8) and not
                        self.G.has_edge(0,7) and not self.G.has_edge(3,7))

        
if __name__ == '__main__':
    unittest.main()
