'''
 netmic
========

netmic is a python package for computing
   Irreducible Infeasible Subsystem Arc Covers
on directed, connected network flow problems.

netmic requires python >= 2.7, networkx >= 1.9, and pulp.
'''


import sys
if sys.version_info[:2] < (2, 7):
    m = "Python 2.7 or later is required for netmic (%d.%d detected)."
    raise ImportError(m % sys.version_info[:2])
del sys

import networkx
versionNetx = networkx.__version__.split('.', 2)
if (int(versionNetx[0]),int(versionNetx[1])) < (1, 9):
    raise ImportError("Networkx 1.9 or higher is required (found {}.{}).".
                      format(int(versionNetx[0]),int(versionNetx[1])))

from netmic import mic
            
__version__ = "0.1"
__authors__ = "Imke Joormann (joormann@mathematik.tu-darmstadt.de)"

