# -*- coding: utf-8 -*-
'''
Classes for measuring time.
'''
import time

### code adopted from http://www.huyng.com/posts/python-performance-analysis/
class TimerCPU():
    def __init__(self, verbose=False):
        self.verbose = verbose

    def __enter__(self):
        self.start = time.clock()
        return self

    def __exit__(self, *args):
        self.end = time.clock()
        self.secs = self.end - self.start
        self.msecs = self.secs * 1000  
        if self.verbose:
            print 'elapsed time: {} s'.format(self.secs)

class TimerWall():
    def __init__(self, verbose=False):
        self.verbose = verbose

    def __enter__(self):
        self.start = time.time()
        return self

    def __exit__(self, *args):
        self.end = time.time()
        self.secs = self.end - self.start
        self.msecs = self.secs * 1000  
        if self.verbose:
            print 'elapsed time: {} s'.format(self.secs)            
###
