#!/usr/bin/python2
# -*- coding: utf-8 -*-

"""
Setup script for netmic.
You can install netmic with
  python setup.py install
"""

from setuptools import setup, find_packages
from os.path import join, dirname

setup(name='netmic',
      version='0.1',
      description='Compute IIS arc covers on flow networks',
      long_description=open(join(dirname(__file__), 'README.txt')).read(),
      url='http://www3.mathematik.tu-darmstadt.de/index.php?id=2195',
      author='Imke Joormann',
      author_email='joormann@mathematik.tu-darmstadt.de',
      license='LICENSE.txt',
      install_requires=[
          'networkx >= 1.9',
          'pulp',
      ],
      zip_safe=False,
      packages=find_packages(),
      data_files=[
          ('netmic/heuristics/tests', ['netmic/heuristics/tests/20.graphml'])
      ],
      classifiers = [
          'Intended Audience :: Developers',
          'Intended Audience :: Science/Research',
          'License :: OSI Approved :: BSD License',
          'Programming Language :: Python :: 2',
          'Programming Language :: Python :: 2.7',
          'Topic :: Software Development :: Libraries :: Python Modules',
          'Topic :: Scientific/Engineering :: Mathematics'
      ]
)
